"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_wd_status_tip2 = common_vendor.resolveComponent("wd-status-tip");
  const _easycom_wd_tab2 = common_vendor.resolveComponent("wd-tab");
  const _easycom_wd_tabs2 = common_vendor.resolveComponent("wd-tabs");
  (_easycom_wd_status_tip2 + _easycom_wd_tab2 + _easycom_wd_tabs2)();
}
const _easycom_wd_status_tip = () => "../../uni_modules/wot-design-uni/components/wd-status-tip/wd-status-tip.js";
const _easycom_wd_tab = () => "../../uni_modules/wot-design-uni/components/wd-tab/wd-tab.js";
const _easycom_wd_tabs = () => "../../uni_modules/wot-design-uni/components/wd-tabs/wd-tabs.js";
if (!Math) {
  (_easycom_wd_status_tip + _easycom_wd_tab + _easycom_wd_tabs)();
}
const _sfc_main = {
  __name: "coupon",
  setup(__props) {
    const tab = common_vendor.ref(0);
    const tabs = common_vendor.ref(["待使用", "已使用", "已过期"]);
    return (_ctx, _cache) => {
      return {
        a: common_vendor.f(tabs.value, (item, k0, i0) => {
          return {
            a: "96ba783d-2-" + i0 + "," + ("96ba783d-1-" + i0),
            b: "96ba783d-1-" + i0 + ",96ba783d-0",
            c: common_vendor.p({
              title: `${item}`,
              name: item
            }),
            d: item
          };
        }),
        b: common_vendor.p({
          image: "content",
          tip: "暂无内容"
        }),
        c: common_vendor.o(($event) => tab.value = $event),
        d: common_vendor.p({
          ["auto-line-width"]: true,
          ["custom-class"]: "custom_class_tab",
          modelValue: tab.value
        })
      };
    };
  }
};
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-96ba783d"], ["__file", "D:/创海项目/CH2025/约车小程序/yueche_app/pages/coupon/coupon.vue"]]);
wx.createPage(MiniProgramPage);
